

#include "HelpMenu.h"
#include "todo.h"

#include <qmessagebox.h>


#ifdef WIN32
const QString HelpMenu::OS_DESCRIPTION = "MS Windows Client";
#else
const QString HelpMenu::OS_DESCRIPTION = "Unknown";
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

HelpMenu::HelpMenu( QWidget* parent , const char* name ) :
  QPopupMenu( parent, name )
{
  insertItem( "Show Connection Info", this, SLOT(slotShowConnectionInfo()) );
  insertItem( "Help Topics", this, SLOT(slotHelpTopics()), Key_F1 );

  insertSeparator();

  insertItem( "Perforce Website...", this, SLOT(slotPerforceWebsite()) );
  insertItem( "Email jacobgladish@yahoo.com", this, SLOT(slotEmailSupport()) );

  insertSeparator();

  insertItem( "About...", this, SLOT(slotAbout()) );
}

HelpMenu::~HelpMenu()
{

}

void HelpMenu::slotShowConnectionInfo()
{
  TODO();
}

void HelpMenu::slotHelpTopics()
{
  TODO();
}

void HelpMenu::slotPerforceWebsite()
{
  TODO();
}



void HelpMenu::slotEmailSupport()
{
  TODO();
}

void HelpMenu::slotAbout()
{
  // TODO();  
  QMessageBox::about( this, 
    "qperforce", 
    "Platform neutral gui for perforce \n"
    "revision control system."
    );
}


